/**
 * Calculadora Sobrecarga do Cuidador
 * @author Gabriel de Rosso Menezes
 * @copyright Universidade Federal de Pelotas - UFPel
 */


 $(document).ready(function() {
    // inicializa API PPU
    unasus.pack.initialize();
    $(".item").hide();
    $(".panel-body").find('.item.active').show();
    $(".prev").attr('disabled', 'disabled');
    $(".comeca").click(next);
    $(".gonext").click(next);
    $(".goprev").click(prev);
    $("#inicio").click(inicio);
    $("input:radio[name='optionRadios1']").change(changeDados);
    $("input:radio[name='optionRadios2']").change(changeDados);
    $("input:radio[name='optionRadios3']").change(changeDados);
    $("input:radio[name='optionRadios4']").change(changeDados);
    $("input:radio[name='optionRadios5']").change(changeDados);
    $("input:radio[name='optionRadios6']").change(changeDados);
    $("input:radio[name='optionRadios7']").change(changeDados);
 });

function next(){
  var atual;
  atual = $(".panel-body").find('.item.active').data('indice');
  $(".panel-body").find('.item.active').hide();
  $(".panel-body").find('.item.active').removeClass('active');
  if (atual < 8) {
    atual++;
  }
  if (atual === 8) {
    $(".gonext").attr('disabled', 'disabled');
  } else {
    $(".gonext").removeAttr('disabled');
  }
  $(".prev").removeAttr('disabled');
  $(".panel-body").find('.item-' + atual).addClass('active').show();
  return $(".panel-body").find('.p' + atual).addClass('active');
};

function prev(){
  var atual;
  atual = $(".panel-body").find('.item.active').data('indice');
  $(".panel-body").find('.p' + atual).removeClass('active');
  $(".panel-body").find('.item.active').hide();
  $(".panel-body").find('.item.active').removeClass('active');
  if (atual > 0) {
    atual--;
  }
  if (atual === 0) {
    $(".prev").attr('disabled', 'disabled');
  } else {
    $(".prev").removeAttr('disabled');
  }
  $(".gonext").removeAttr('disabled');
  return $(".panel-body").find('.item-' + atual).addClass('active').show();
};

function inicio(){
  $(".li").removeClass('active');
  $(".panel-body").find('.item.active').hide();
  $(".panel-body").find('.item.active').removeClass('active');
  $(".prev").attr('disabled', 'disabled');
  $(".next").removeAttr('disabled');
  $('.item-0').addClass('active');
  return $(".panel-body").find('.item.active').show();
};

function changeDados(){
  var respostas, valor;
  respostas = getDados();
  valor = calculaEscore(respostas);
  if (14 < valor && valor <= 22) {
    return $(".resul").html("Moderada");
  } else if (valor > 22) {
    return $(".resul").html("Grave");
  } else {
    return $(".resul").html("Leve");
  }
};

function getDados(){
  let q1 = $("input:radio[name='optionRadios1']").filter(':checked').val();
  let q2 = $("input:radio[name='optionRadios2']").filter(':checked').val();
  let q3 = $("input:radio[name='optionRadios3']").filter(':checked').val();
  let q4 = $("input:radio[name='optionRadios4']").filter(':checked').val();
  let q5 = $("input:radio[name='optionRadios5']").filter(':checked').val();
  let q6 = $("input:radio[name='optionRadios6']").filter(':checked').val();
  let q7 = $("input:radio[name='optionRadios7']").filter(':checked').val();
  return [q1,q2,q3,q4,q5,q6,q7];
};

function calculaEscore(q){
  var escore, item;
  escore = 0;
  for (item in q) {
    if (item !== void 0) {
      escore = escore + (parseInt(q[item]));
    }
  }
  return escore;
};